lunes, 27 de mayo de 2013

Actualización de seguridad para X Window corrige 29 vulnerabilidades


Ilja van Sprundel, un investigador de seguridad de IOActive ha descubierto varios problemas de seguridad en las librerías del cliente X de X Window, un total de 29 vulnerabilidades en 22 librerías.

X Window es un software que se utiliza para dotar de una interfaz gráfica a los sistemas Unix. X Window contiene una parte servidor (X Server) encargada de acceder a los recursos de hardware (pantalla, teclado, etc..) y una parte de cliente (X client) que se encarga de interactuar con el usuario.

Los errores son producidos por una "confianza" de los valores que deben de ser retornados por el servidor en la comunicación entre el cliente y servidor X. Se han visto afectadas 22 librerías (de tres proyectos diferentes) que son las siguientes:  libX11, libXcursor, libXext, libXfixes, libXi, libXinerama, libXp, libXrandr, libXrender, libXRes, libXtst, libXv, libXvMC, libXxf86dga, libXxf86vm, libdmx, libxcb, libFS, libXt del proyecto X.Org, las librerías libchromeXvMC y libchromeXvMCPro del proyecto openChrome y la librería libGLX del proyecto Mesa.

Las vulnerabilidades han sido identificadas desde el CVE-2013-1981 hasta el CVE-2013-2005 y desde el CVE-2013-2062 hasta CVE-2013-2066. Algunos detalles de las vulnerabilidades son:

  • 17 desbordamientos de entero causados por un error al calcular la memoria necesaria para almacenar el valor retornado por una función. Afecta a total de 17 librerías, todas exceptuando las librerías 'libXcursor', 'libXxf86vm', 'libFS', 'libXt', 'libXt', afectando a un total de 54 funciones.
        
  • Un error de signo causado por un fallo al calcular la memoria necesaria para almacenar el valor retornado por una función. Se ven afectadas las librerías 'libXi' y 'libFS' en una función cada librería.
        
  • 7 desbordamientos de memoria intermedia causados por una falta de validación de la cantidad de memoria necesaria para almacenar el valor retornado por una función. Afecta a la librerías 'libX11', 'libXi', 'libXv', 'libXvMC', 'libXxf86dga', 'libXxf86vm' y 'libXt' afectando a un total de 24 funciones.
         
  • Dos desbordamiento de enteros causados por una falta de comprobación de la cantidad de memoria necesaria para procesar los ficheros especificados por un usuario. Afecta a las librerías 'libX11' y 'libXcursor' en 6 funciones.
        
  • Un error por una falta de límites en la recursión en el procesamiento de los ficheros especificados por un usuario. Afecta a la librería 'libX11' en dos funciones.
         
  • Una corrupción de memoria causada por una falta de validación de la cantidad de memoria necesaria para almacenar el valor retornado por una función. Afecta a la librería 'libXt' en un total de cinco funciones.


Las vulnerabilidades ya han sido corregidas en las librerías correspondientes y pueden ser descargadas desde los repositorios oficiales.

Más información:

X.Org Security Advisory: May 23, 2013

Openchrome

The Mesa 3D Graphics Library




Jose Ignacio Palacios Ortega

1 comentario:

  1. Qué tiempos en los que se podía confiar en lo que devolvía un servidor y el mayor desafío era que el software funcionase. Nostálgico que es uno.

    ResponderEliminar